From e47a69c84cb8ebd07b6ba41444068406b68a094a Mon Sep 17 00:00:00 2001
From: an7s <an7s@git.zephyr-software.com>
Date: Thu, 8 Dec 2011 18:57:33 +0000
Subject: [PATCH] Turn on a lot more detectors

Former-commit-id: ad47fd33a969802d74e30c70a86712e67fc83fdc
---
 tools/integer_replay.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/tools/integer_replay.sh b/tools/integer_replay.sh
index dc4da648a..828fbca9d 100755
--- a/tools/integer_replay.sh
+++ b/tools/integer_replay.sh
@@ -69,7 +69,7 @@ do
 
   integer_diagnostics="integer.diagnostics.$input_number"
 
-  STRATA_PC_CONFINE=1 STRATA_DETECTOR_POLICY="continue" STRATA_LOG="detectors" STRATA_OUTPUT_FILE=$integer_diagnostics STRATA_SPRI_FILE="$BSPRI" timeout $REPLAYER_TIMEOUT "$GRACE_HOME/concolic/bin/replayer" --timeout=$REPLAYER_TIMEOUT --symbols=$TOP_LEVEL/a.sym --stdout=stdout.$input --stderr=stderr.$input --logfile=exit_status --engine=sdt $STRATAFIED_BINARY $i 
+STRATA_NUM_HANDLE=1 STRATA_DOUBLE_FREE=1 STRATA_HEAPRAND=1 STRATA_CONTROLLED_EXIT=1 STRATA_PC_CONFINE=1 STRATA_DETECTOR_POLICY="continue" STRATA_LOG="detectors" STRATA_OUTPUT_FILE=$integer_diagnostics STRATA_SPRI_FILE="$BSPRI" timeout $REPLAYER_TIMEOUT "$GRACE_HOME/concolic/bin/replayer" --timeout=$REPLAYER_TIMEOUT --symbols=$TOP_LEVEL/a.sym --stdout=stdout.$input --stderr=stderr.$input --logfile=exit_status --engine=sdt $STRATAFIED_BINARY $i 
 
   # classify input: if segfault or failed PC confinement, then don't treat C1/Integer Detector for a given instruction as a false positive
 
@@ -83,6 +83,11 @@ do
   if [ $? -eq 0 ]; then
      continue
   fi
+  #if exited with 200 (Peasoup exit status code on error), ignore input
+  grep -i "status 200" exit_status
+  if [ $? -eq 0 ]; then
+     continue
+  fi
   # if PC failed confinement, ignore input
   grep -i "PC failed confinement" $integer_diagnostics
   if [ $? -eq 0 ]; then
-- 
GitLab